Bug 1989837 - [Migration] SDN migration rollback failed, stuck in MCO
Summary: [Migration] SDN migration rollback failed, stuck in MCO
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.0
Assignee: Peng Liu
QA Contact: huirwang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-04 07:25 UTC by huirwang
Modified: 2021-10-18 17:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:44:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2704 0 None None None 2021-08-05 14:24:15 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:44:37 UTC

Description huirwang 2021-08-04 07:25:18 UTC
Description of problem:
SDN migration rollback failed, stuck in MCO

Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-08-03-200806

How reproducible:
Always

Steps to Reproduce:
1. Setup a SDN AWS cluster
2. Migrated it to OVN successfully.
3. Then try to rollback to SDN

Actual results:
After enable MCO, the nodes keep in status "NotReady,SchedulingDisabled "

oc get nodes
NAME                                        STATUS                        ROLES    AGE     VERSION
ip-10-0-48-226.us-east-2.compute.internal   Ready                         master   4h10m   v1.21.1+8268f88
ip-10-0-58-254.us-east-2.compute.internal   Ready                         worker   3h58m   v1.21.1+8268f88
ip-10-0-61-109.us-east-2.compute.internal   NotReady,SchedulingDisabled   master   4h10m   v1.21.1+8268f88
ip-10-0-62-51.us-east-2.compute.internal    Ready                         worker   3h58m   v1.21.1+8268f88
ip-10-0-70-219.us-east-2.compute.internal   NotReady,SchedulingDisabled   worker   3h58m   v1.21.1+8268f88
ip-10-0-70-92.us-east-2.compute.internal    Ready                         master   4h10m   v1.21.1+8268f88

Expected results:
Rollback to SDN successfully.

Additional info:

Comment 8 errata-xmlrpc 2021-10-18 17:44:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.